/*
 * MosP - Mind Open Source Project         http://www.mosp.jp/
 * Copyright (C) 1987-2009 MIND Co., Ltd.  http://www.e-mind.co.jp/
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */
package jp.mosp.common.action;

import jp.mosp.common.MosPAction;
import jp.mosp.common.common.LogUtility;
import jp.mosp.common.common.MospConst;
import jp.mosp.common.common.MospUtility;

public class MosPLogoutAction extends MosPAction {

	/**
	 * コンストラクタ
	 */
	public MosPLogoutAction() {
		super();
	}

	/**
	 * アクション
	 */
	public void action() throws Exception {
		// 排他情報の除去
		if (user != null) {
			deleteExclusive(user.getUserId());
		}
		// セッションの初期化
		if (session != null) {
			session.invalidate();
		}
		session = request.getSession(true);
		// コマンド及び遷移先の設定
		setNextCmd(getIndexCommand(false));
		setUrl(MospConst.URL_SRV);
		// メッセージの設定
		request.setAttribute(MospConst.ATT_MESSAGE, MospUtility.getMessage(msg, MospConst.MSG_LOGOUT, ""));
		// ログ出力
		LogUtility.log(request, 4, MospConst.LOG_MOSPINF, MospConst.LOG_MSG_LOGOUT);
	}

}
